package com.mortals.xhx.module.door.model;

import java.util.List;

/**
* 门禁设备查询对象
*
* @author zxfei
* @date 2023-11-22
*/
public class DoorQuery extends DoorEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 设备名称 */
    private List<String> deviceNameList;

    /** 设备名称排除列表 */
    private List <String> deviceNameNotList;
    /** 设备编码 */
    private List<String> deviceCodeList;

    /** 设备编码排除列表 */
    private List <String> deviceCodeNotList;
    /** Ip地址 */
    private List<String> ipList;

    /** Ip地址排除列表 */
    private List <String> ipNotList;
    /** 开始 端口 */
    private Integer portStart;

    /** 结束 端口 */
    private Integer portEnd;

    /** 增加 端口 */
    private Integer portIncrement;

    /** 端口列表 */
    private List <Integer> portList;

    /** 端口排除列表 */
    private List <Integer> portNotList;

    /** 用户名 */
    private List<String> usernameList;

    /** 用户名排除列表 */
    private List <String> usernameNotList;
    /** 密码 */
    private List<String> passwordList;

    /** 密码排除列表 */
    private List <String> passwordNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DoorQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DoorQuery> andConditionList;

    public DoorQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 设备名称
    * @return deviceNameList
    */
    public List<String> getDeviceNameList(){
        return this.deviceNameList;
    }

    /**
    * 设置 设备名称
    * @param deviceNameList
    */
    public void setDeviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
    }

    /**
    * 获取 设备名称
    * @return deviceNameNotList
    */
    public List<String> getDeviceNameNotList(){
        return this.deviceNameNotList;
    }

    /**
    * 设置 设备名称
    * @param deviceNameNotList
    */
    public void setDeviceNameNotList(List<String> deviceNameNotList){
        this.deviceNameNotList = deviceNameNotList;
    }

    /**
    * 获取 设备编码
    * @return deviceCodeList
    */
    public List<String> getDeviceCodeList(){
        return this.deviceCodeList;
    }

    /**
    * 设置 设备编码
    * @param deviceCodeList
    */
    public void setDeviceCodeList(List<String> deviceCodeList){
        this.deviceCodeList = deviceCodeList;
    }

    /**
    * 获取 设备编码
    * @return deviceCodeNotList
    */
    public List<String> getDeviceCodeNotList(){
        return this.deviceCodeNotList;
    }

    /**
    * 设置 设备编码
    * @param deviceCodeNotList
    */
    public void setDeviceCodeNotList(List<String> deviceCodeNotList){
        this.deviceCodeNotList = deviceCodeNotList;
    }

    /**
    * 获取 Ip地址
    * @return ipList
    */
    public List<String> getIpList(){
        return this.ipList;
    }

    /**
    * 设置 Ip地址
    * @param ipList
    */
    public void setIpList(List<String> ipList){
        this.ipList = ipList;
    }

    /**
    * 获取 Ip地址
    * @return ipNotList
    */
    public List<String> getIpNotList(){
        return this.ipNotList;
    }

    /**
    * 设置 Ip地址
    * @param ipNotList
    */
    public void setIpNotList(List<String> ipNotList){
        this.ipNotList = ipNotList;
    }

    /**
    * 获取 开始 端口
    * @return portStart
    */
    public Integer getPortStart(){
        return this.portStart;
    }

    /**
    * 设置 开始 端口
    * @param portStart
    */
    public void setPortStart(Integer portStart){
        this.portStart = portStart;
    }

    /**
    * 获取 结束 端口
    * @return $portEnd
    */
    public Integer getPortEnd(){
        return this.portEnd;
    }

    /**
    * 设置 结束 端口
    * @param portEnd
    */
    public void setPortEnd(Integer portEnd){
        this.portEnd = portEnd;
    }

    /**
    * 获取 增加 端口
    * @return portIncrement
    */
    public Integer getPortIncrement(){
        return this.portIncrement;
    }

    /**
    * 设置 增加 端口
    * @param portIncrement
    */
    public void setPortIncrement(Integer portIncrement){
        this.portIncrement = portIncrement;
    }

    /**
    * 获取 端口
    * @return portList
    */
    public List<Integer> getPortList(){
        return this.portList;
    }

    /**
    * 设置 端口
    * @param portList
    */
    public void setPortList(List<Integer> portList){
        this.portList = portList;
    }

    /**
    * 获取 端口
    * @return portNotList
    */
    public List<Integer> getPortNotList(){
        return this.portNotList;
    }

    /**
    * 设置 端口
    * @param portNotList
    */
    public void setPortNotList(List<Integer> portNotList){
        this.portNotList = portNotList;
    }


    /**
    * 获取 用户名
    * @return usernameList
    */
    public List<String> getUsernameList(){
        return this.usernameList;
    }

    /**
    * 设置 用户名
    * @param usernameList
    */
    public void setUsernameList(List<String> usernameList){
        this.usernameList = usernameList;
    }

    /**
    * 获取 用户名
    * @return usernameNotList
    */
    public List<String> getUsernameNotList(){
        return this.usernameNotList;
    }

    /**
    * 设置 用户名
    * @param usernameNotList
    */
    public void setUsernameNotList(List<String> usernameNotList){
        this.usernameNotList = usernameNotList;
    }

    /**
    * 获取 密码
    * @return passwordList
    */
    public List<String> getPasswordList(){
        return this.passwordList;
    }

    /**
    * 设置 密码
    * @param passwordList
    */
    public void setPasswordList(List<String> passwordList){
        this.passwordList = passwordList;
    }

    /**
    * 获取 密码
    * @return passwordNotList
    */
    public List<String> getPasswordNotList(){
        return this.passwordNotList;
    }

    /**
    * 设置 密码
    * @param passwordNotList
    */
    public void setPasswordNotList(List<String> passwordNotList){
        this.passwordNotList = passwordNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public DoorQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public DoorQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public DoorQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public DoorQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public DoorQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public DoorQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 设备名称
    * @param deviceName
    */
    public DoorQuery deviceName(String deviceName){
        setDeviceName(deviceName);
		return this;
    }

    /**
    * 设置 设备名称
    * @param deviceNameList
    */
    public DoorQuery deviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
		return this;
    }


	/**
    * 设置 设备编码
    * @param deviceCode
    */
    public DoorQuery deviceCode(String deviceCode){
        setDeviceCode(deviceCode);
		return this;
    }

    /**
    * 设置 设备编码
    * @param deviceCodeList
    */
    public DoorQuery deviceCodeList(List<String> deviceCodeList){
        this.deviceCodeList = deviceCodeList;
		return this;
    }


	/**
    * 设置 Ip地址
    * @param ip
    */
    public DoorQuery ip(String ip){
        setIp(ip);
		return this;
    }

    /**
    * 设置 Ip地址
    * @param ipList
    */
    public DoorQuery ipList(List<String> ipList){
        this.ipList = ipList;
		return this;
    }

    /**
    * 设置  端口
    * @param port
    */
    public DoorQuery port(Integer port){
	    setPort(port);
		return this;
    }
	
	 /**
    * 设置 开始 端口
    * @param portStart
    */
    public DoorQuery portStart(Integer portStart){
		this.portStart = portStart;
		return this;
    }

    /**
    * 设置 结束 端口
    * @param portEnd
    */
    public DoorQuery portEnd(Integer portEnd){
		this.portEnd = portEnd;
		return this;
    }

    /**
    * 设置 增加 端口
    * @param portIncrement
    */
    public DoorQuery portIncrement(Integer portIncrement){
		this.portIncrement = portIncrement;
		return this;
    }

    /**
    * 设置 端口
    * @param portList
    */
    public DoorQuery portList(List<Integer> portList){
        this.portList = portList;
		return this;
        }

        /**
        * 设置 端口
        * @param portNotList
        */
        public DoorQuery portNotList(List<Integer> portNotList){
        this.portNotList = portNotList;
        return this;
        }


	/**
    * 设置 用户名
    * @param username
    */
    public DoorQuery username(String username){
        setUsername(username);
		return this;
    }

    /**
    * 设置 用户名
    * @param usernameList
    */
    public DoorQuery usernameList(List<String> usernameList){
        this.usernameList = usernameList;
		return this;
    }


	/**
    * 设置 密码
    * @param password
    */
    public DoorQuery password(String password){
        setPassword(password);
		return this;
    }

    /**
    * 设置 密码
    * @param passwordList
    */
    public DoorQuery passwordList(List<String> passwordList){
        this.passwordList = passwordList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public DoorQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public DoorQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public DoorQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public DoorQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public DoorQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public DoorQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }

    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public DoorQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public DoorQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public DoorQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public DoorQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public DoorQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public DoorQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DoorQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DoorQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DoorQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DoorQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}